# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           libtaskotron
Version:        0.0.6
Release:        1%{?dist}
Summary:        Taskotron Support Library

License:        GPLv2+
URL:            https://fedoraproject.org/wiki/Taskotron
Source0:        http://git.fedorahosted.org/cgit/blockerbugs.git/snapshot/libtaskotron-%{version}.tar.gz

BuildArch:      noarch

Requires:       bodhi-client
Requires:       koji
Requires:       rpm-python
Requires:       pyOpenSSL
Requires:       python-pycurl
Requires:       python-urlgrabber
Requires:       python-jinja2
Requires:       pytap13
Requires:       resultsdb_api
Requires:       python-bayeux
Requires:       resultsdb_api
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  pytest
BuildRequires:  python-bunch
BuildRequires:  python-dingus
BuildRequires:  python-urlgrabber
BuildRequires:  python-jinja2
BuildRequires:  koji
BuildRequires:  pytap13
BuildRequires:  python-bayeux
BuildRequires:  bodhi-client


%description
Libtaskotron is a support library for running taskotron tasks.

%prep
%setup -q

%check
%{__python} setup.py test

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# configuration files
mkdir -p %{buildroot}%{_sysconfdir}/taskotron/
install conf/taskotron.yaml %{buildroot}%{_sysconfdir}/taskotron/taskotron.yaml


%files
%{python_sitelib}/*
%dir %{_sysconfdir}/taskotron
%{_sysconfdir}/taskotron/taskotron.yaml

%attr(755,root,root) %{_bindir}/runtask


%changelog
* Mon Apr 14 2014 Tim Flink <tflink@fedoraproject.org> - 0.0.6-1
- updating to latest dev sources

* Tue Mar 25 2014 Tim Flink <tflink@fedoraproject.org> - 0.0.5-4
- updating to latest dev sources

* Mon Mar 17 2014 Tim Flink <tflink@fedoraproject.org> - 0.0.1-4
- I swear that I know how to build packages properly, honest

* Mon Mar 17 2014 Tim Flink <tflink@fedoraproject.org> - 0.0.1-3
- Fixing botched build

* Mon Mar 17 2014 Tim Flink <tflink@fedoraproject.org> - 0.0.1-2
- Added dep for python-jinja2

* Mon Mar 17 2014 Tim Flink <tflink@fedoraproject.org> - 0.0.1-1
- Initial package for libtaskotron
